Documentation
Core Features
Directives

## Autogrow

fuseAutogrow is a `<textarea>` directive to make them automatically grow depending on their content. It's an alternative for Angular Material's cdkTextareaAutosize directive with a more native and lightweight approach.

Exported as: `fuseAutogrow`

## Module

import { FuseAutogrowModule } from '@fuse/directives/autogrow';

## Usage

Here's the basic usage of the `fuseAutogrow`:

<textarea fuseAutogrow [fuseAutogrowVerticalPadding]="12"> Content of the textarea </textarea>

## Properties

Name | Description | Default
--- | --- | ---
@Input() fuseAutogrowVerticalPadding: number | Padding of the textarea. Must be inline with textarea's padding style. | `8`